Bug 38272 - SHOULD NEVER BE REACHED assertion loading forbes.com
Summary: SHOULD NEVER BE REACHED assertion loading forbes.com
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P1 Major
Assignee: Nobody
URL: http://www.forbes.com
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2010-04-28 10:52 PDT by Simon Fraser (smfr)
Modified: 2010-05-05 18:23 PDT (History)
3 users (show)

See Also:


Attachments
Testcase (214 bytes, text/html)
2010-04-28 11:00 PDT, Simon Fraser (smfr)
no flags Details
Patch v1 (4.31 KB, patch)
2010-04-30 00:35 PDT, Shinichiro Hamaji
simon.fraser: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2010-04-28 10:52:24 PDT
I hit the SHOULD NEVER BE REACHED assertion here:

(WebCore/css/CSSStyleSelector.cpp:2562 bool WebCore::CSSStyleSelector::SelectorChecker::checkOneSelector(WebCore::CSSSelector*, WebCore::Element*, WTF::HashSet<WebCore::AtomicStringImpl*, WTF::PtrHash<WebCore::AtomicStringImpl*>, WTF::HashTraits<WebCore::AtomicStringImpl*> >*, WebCore::PseudoId&, bool, WebCore::RenderStyle*, WebCore::RenderStyle*) const)

loading forbes.com
Comment 1 Simon Fraser (smfr) 2010-04-28 11:00:13 PDT
Created attachment 54587 [details]
Testcase
Comment 2 Simon Fraser (smfr) 2010-04-28 11:01:27 PDT
Why are we picking up :first outside of @page?
Comment 3 Simon Fraser (smfr) 2010-04-28 11:10:53 PDT
Regression from bug 35329, http://trac.webkit.org/changeset/58374
Comment 4 Simon Fraser (smfr) 2010-04-29 15:41:15 PDT
Ping? I keep hitting this.
Comment 5 Darin Adler 2010-04-29 16:02:47 PDT
If we don’t get this resolved soon, I suggest we roll out r58374 and add a test for this to the layout tests.
Comment 6 Darin Adler 2010-04-29 16:03:09 PDT
<rdar://problem/7925163>
Comment 7 Shinichiro Hamaji 2010-04-30 00:35:23 PDT
Created attachment 54787 [details]
Patch v1
Comment 8 Shinichiro Hamaji 2010-04-30 00:43:56 PDT
(In reply to comment #7)
> Created an attachment (id=54787) [details]
> Patch v1

Hi, sorry for the latency. Yuzo is taking his vacation so I'll take care this bug.

I guess rolling out r58374 can be difficult as we've already landed other patches which depend on r58374. Instead of reverting the change, I'd like to just ignore paged media related pseudo classes for now.
Comment 9 Shinichiro Hamaji 2010-04-30 08:46:18 PDT
Committed r58578: <http://trac.webkit.org/changeset/58578>
Comment 10 Yuzo Fujishima 2010-05-05 18:23:32 PDT
Sorry for the regression and thank you for the fix.

Yuzo